> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan-2.2-Animate - Video To Video - gptproto

> Wan-2.2-Animate — Video To Video (gptproto). GPTProto API reference.

Qwen's GPTProto format for the video to video API.

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://gptproto.com/api/v3/alibaba/wan-2.2/animate' \
  --header 'Authorization: sk-**' \
  --header 'Content-Type: application/json' \
  --data '{
    "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
    "mode": "animate",
    "prompt": "",
    "resolution": "480p",
    "seed": -1,
    "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/api/v3/alibaba/wan-2.2/animate"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
    "mode": "animate",
    "prompt": "",
    "resolution": "480p",
    "seed": -1,
    "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/api/v3/alibaba/wan-2.2/animate";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
    "mode": "animate",
    "prompt": "",
    "resolution": "480p",
    "seed": -1,
    "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/api/v3/alibaba/wan-2.2/animate"

      payload := []byte(`{
    "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
    "mode": "animate",
    "prompt": "",
    "resolution": "480p",
    "seed": -1,
    "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter    | Type    | Required | Default   | Description                                                                                                                                                                                                                 |
| ------------ | ------- | -------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `image`      | string  | ❌ No     | -         | The image for generating the output.                                                                                                                                                                                        |
| `video`      | string  | ❌ No     | -         | The video for generating the output.                                                                                                                                                                                        |
| `prompt`     | string  | ❌ No     | -         | The positive prompt for the generation.                                                                                                                                                                                     |
| `mode`       | string  | ❌ No     | `animate` | animate, replace .The mode of the generation. Animate Mode: animate the character in input image with movements from the input video. Replace Mode: replace the character in input video with the character in input image. |
| `resolution` | string  | ❌ No     | `-1`      | 480p, 720p . The resolution of the output video.                                                                                                                                                                            |
| `seed`       | integer | ❌ No     | `720p`    | -1 \~ 2147483647 . The random seed to use for the generation. -1 means a random seed will be used.                                                                                                                          |
